function toggleCollapse(divBox, collapse) {
    var collapsedDiv = divBox.nextSibling;
    
    while (collapsedDiv.nodeName == "#text") {
        collapsedDiv = collapsedDiv.nextSibling;
    }
    
    divBox.classList.remove("collapse-down");
    
    if (!collapsedDiv.classList.contains("collapsed-div") || collapse) {
        divBox.classList.add('collapse');
        collapsedDiv.classList.remove("expanded-div");
        collapsedDiv.classList.add("collapsed-div");
    }
    else {
        divBox.classList.add('collapse-down');
        collapsedDiv.classList.remove("collapsed-div");
        collapsedDiv.classList.add("expanded-div");
    }
}

window.addEventListener('load', setCollapsables, false);

function setCollapsables() {
    var collapsable = document.getElementsByClassName("collapse");
    for (var i = 0; i < collapsable.length; i++) {
        collapsable[i].innerHTML = "<a href=\"javascript:void(0);\" onclick=\"toggleCollapse(this.parentNode);return false;\" style=\"margin-left:-20px;padding-left:20px;\">" + collapsable[i].innerHTML + "</a>";
        toggleCollapse(collapsable[i], true);
    }
}
